﻿using System;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace StateSwitching
{
    public sealed partial class ListItemView
    {
        public ListItemView()
        {
            this.InitializeComponent();
            this.DataContextChanged += OnDataContextChanged;
        }

        private void OnDataContextChanged(FrameworkElement sender, DataContextChangedEventArgs args)
        {
            string state = args.NewValue is TownGroup ? "GroupHeading" : "Item";
            VisualStateManager.GoToState(this, state, false);
        }
    }
}
